hdf.view

## Enum ViewProperties.DATA_VIEW_KEY

- Object
- - Enum<ViewProperties.DATA_VIEW_KEY>
  - - hdf.view.ViewProperties.DATA_VIEW_KEY

- All Implemented Interfaces:
    Serializable, Comparable<ViewProperties.DATA_VIEW_KEY>
  Enclosing class:
    ViewProperties

      public static enum ViewProperties.DATA_VIEW_KEY
      extends Enum<ViewProperties.DATA_VIEW_KEY>

  Property keys control how the data is displayed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITMASK`
    `BITMASKOP`
    `BORDER`
    `CHAR`
    `CONVERTBYTE`
    `INDEXBASE1`
    `INFO`
    `OBJECT`
    `READONLY`
    `TRANSPOSED`
    `VIEW_NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewProperties.DATA_VIEW_KEY` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ViewProperties.DATA_VIEW_KEY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHAR

          public static final ViewProperties.DATA_VIEW_KEY CHAR

    - #### CONVERTBYTE

          public static final ViewProperties.DATA_VIEW_KEY CONVERTBYTE

    - #### TRANSPOSED

          public static final ViewProperties.DATA_VIEW_KEY TRANSPOSED

    - #### READONLY

          public static final ViewProperties.DATA_VIEW_KEY READONLY

    - #### OBJECT

          public static final ViewProperties.DATA_VIEW_KEY OBJECT

    - #### BITMASK

          public static final ViewProperties.DATA_VIEW_KEY BITMASK

    - #### BITMASKOP

          public static final ViewProperties.DATA_VIEW_KEY BITMASKOP

    - #### BORDER

          public static final ViewProperties.DATA_VIEW_KEY BORDER

    - #### INFO

          public static final ViewProperties.DATA_VIEW_KEY INFO

    - #### INDEXBASE1

          public static final ViewProperties.DATA_VIEW_KEY INDEXBASE1

    - #### VIEW_NAME

          public static final ViewProperties.DATA_VIEW_KEY VIEW_NAME

  - ### Method Detail

    - #### values

          public static ViewProperties.DATA_VIEW_KEY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewProperties.DATA_VIEW_KEY c : ViewProperties.DATA_VIEW_KEY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewProperties.DATA_VIEW_KEY valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All Rights Reserved.